一个无聊的话题:PHP的安装杂谈(5)

512人阅读 评论(0) 收藏 举报

最后一部分的内容就是让IIS服务器支持PHP了!这里说麻烦也不麻烦,说容易也不容易!要想成功的一个前提就是你在第一次安装系统的时候,一定要安装iis,至于怎么安装,这里就不多说了,我觉的这应该不是很困难的事情!但如果你不是第一次就安装iis的话,想以后安装的话,也没有问题,但成功的可能性很小,有时就是死活也搞不定,那就只好ghost了,反正我就是这样做的。

 

PHP支持IIS,但只支持 CGI 和 FastCGI 这两种方式,至于说为什么取消了以前用的很好的东西 ISAPI 模块,我知道一定有原因,但我不关心,因为我的重点是要用起来,而不是打算给客户讲解这个产品的特性。所以以前说的那些安装方法都可以扔到垃圾箱了!也该与时俱进了吧!

 

先来看一下CGI的安装方法

 

1)废话不说,由于是要IIS支持PHP,所以你需要重新下载PHP的最新版本,VC9 x86 Thread Safe 的那个版本,然后开始安装!在安装的过程中,你会看到下面的这张图:

 

iis1

 

不用在废话了吧!我不说,你也应该知道怎么做的! 这回我就不改路径了,按默认提示来走。继续!

 

iis2

 

很熟悉的图,这回我们选择第4个选项!然后,继续下一步。

 

iis3 

全部安装第1项和第3项,默认第2项的选择,然后继续!没有任何提示,直接安装完成了!要是你碰到有什么问题,请告诉我,反正我是没有看见什么现象!

 

然后要打开Internet 信息服务器进行相应的配置!见图:

 

iis4

 

其实,我们就发现刚才的那个安装,其实就是已经替你把要做的事情都做好了!是不是挺爽的啊!

 

然后,你就可以修改php.ini文件,告诉iis,你的php文件放在那个目录里面了,我们不给自己找麻烦,就放到C:/Inetpub/wwwroot。然后把测试文件也放到这个目录下。内容是什么,不用我说了吧!

 

iis5 

然后,启动iis,打开你的浏览器http://localhost/test.php。如果你出现其它问题,请先重启机器,然后再试!应该不会有什么问题的!

 

后记:

 

忘了说了,我现在的系统是Widnows XP SP3,IIS 5.1,PHP安装的是最新版 5.3.3。如果还有不清楚的, 请留言提问, 谢谢!

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:229108次
    • 积分:5229
    • 等级:
    • 排名:第5224名
    • 原创:172篇
    • 转载:17篇
    • 译文:0篇
    • 评论:1006条
    最新评论